<?php

function my_theme_setup(){
	load_theme_textdomain('ooo', get_template_directory() . '/fonction/languages');
}
add_action('after_setup_theme', 'my_theme_setup');


add_action('wp_print_styles', 'add_styles'); 
if (!function_exists('add_styles')) { 
	function add_styles() { 
	    if(is_admin()) return false; 
	    wp_enqueue_style( 'animates', get_template_directory_uri().'/fonction/css/animate.css' );
	    wp_enqueue_style( 'bos', get_template_directory_uri().'/bootstrap/css/bootstrap.min.css' );
	    wp_enqueue_style( 'bs', get_template_directory_uri().'/bootstrap/css/bootstrap-theme.min.css' );
		wp_enqueue_style( 'main', get_template_directory_uri().'/style.css' ); 

	}
}

add_action('wp_footer', 'add_scripts'); 
if (!function_exists('add_scripts')) { 
	function add_scripts() {
	    if(is_admin()) return false;
	    wp_enqueue_script('jquery11', get_template_directory_uri() . '/js/jquery-1.11.2.min.js','www','w',true);
	    wp_enqueue_script('wow', get_template_directory_uri() . '/js/wow.min.js','ww','w', true);
	    wp_enqueue_script('theme_main', get_template_directory_uri() . '/js/theme.main.js','ww','w',true);
  	    wp_enqueue_script('bootstrap', get_template_directory_uri() . '/bootstrap/js/bootstrap.min.js','ww','w',true);
  	    
	    
	}
}

add_filter('excerpt_more', 'new_excerpt_more');
function new_excerpt_more($more) {
	global $post;
	return '<a href="'. get_permalink($post->ID) . '"> <b>>>></b></a>';
}

add_theme_support('post-thumbnails');

register_nav_menu('header_menu',__('Which menu is located in the header (ver template, cap). To activate the tick', 'ooo'));

register_sidebar(array(
	'mane' => __('Widgets saytbara', 'ooo'), 
	'id' => 'sdebar_sity',
	'description' => __('Widgets side', 'ooo'),
	'before_widget' => '<div class="list-group">', 
	'after_widget' => '</div>',
	'before_title' => '<h3>',
	'after_title' => '</h3>',
	)
);


register_sidebar(array(
	'mane' => __('Widgets menu Hats', 'ooo'), 
	'id' => 'header_vidget',
	'description' => __('Widgets menu Hats', 'ooo')
	) );

register_sidebar(array(
	'mane' => __('The second widget menu Hats', 'ooo'), 
	'id' => 'header_vidget_two',
	'description' => __('The second widget menu Hats', 'ooo')
	) );

register_sidebar(array(
	'mane' => __('A third widget menu Hats', 'ooo'), 
	'id' => 'header_vidget_three',
	'description' => __('A third widget menu Hats', 'ooo')
	) );

register_sidebar(array(
	'mane' => __('The first basement widget', 'ooo'), 
	'id' => 'foorer_vi_1',
	'description' => __('The first basement widget', 'ooo')
	) );

register_sidebar(array(
	'mane' => __('The second basement widget', 'ooo'), 
	'id' => 'foorer_vi_2',
	'description' => __('The second basement widget', 'ooo')
	) );

register_sidebar(array(
	'mane' => __('Third basement widget', 'ooo'), 
	'id' => 'foorer_vi_3',
	'description' => __('Third basement widget', 'ooo')
	) );

$default_attr = array(
	'src'   => $src,
	'class' => "img-responsive",
	'alt'   => trim(strip_tags( $attachment->post_excerpt )),
	'title' => trim(strip_tags( $attachment->post_title )),
);


require_once( apply_filters( 'czr_init', get_template_directory() . '/fonction/option/funct.php' ) );



if (!class_exists('clean_comments_constructor')) { 
	class clean_comments_constructor extends Walker_Comment { 

		public function start_lvl( &$output, $depth = 0, $args = array()) { 

			$output .= '<ul class="children">' . "\n";
		}
		public function end_lvl( &$output, $depth = 0, $args = array()) { 

			$output .= "</ul><!-- .children -->\n";
		}
	    protected function comment( $comment, $depth, $args ) { 
	    	$classes = implode(' ', get_comment_class()).($comment->comment_author_email == get_the_author_meta('email') ? ' author-comment' : ''); 

	        echo '<li id="comment-'.get_comment_ID().'" class="'.$classes.' media">'."\n"; 

	    	echo '<div class="media-left">'.get_avatar($comment, 64, '', get_comment_author(), array('class' => 'media-object'))."</div>\n"; 
	    	echo '<div class="media-body">';
	    	echo __('<span class="meta media-heading">Author: ', 'ooo').get_comment_author()."</br>"; 

	    	// echo __('Sity:', 'ooo').get_comment_author_url()."</br>"; 
	    	echo __('Added', 'ooo' ).get_comment_date(' d.m.Y | H:i')."</br>"; 
	    	if ( '0' == $comment->comment_approved ) echo __('<br><em class="comment-awaiting-moderation">Your comment will be published after being moderated.</em>', 'ooo')."</br>"; 

	    	echo "</span>";
	        comment_text()."\n"; 
	        $reply_link_args = array( 
	        	'depth' => $depth, 
	        	'reply_text' => __('Reply', 'ooo'), 
				'login_text' => __('You must be logged in', 'ooo') 
	        );
	        echo get_comment_reply_link(array_merge($args, $reply_link_args)); 
	        echo '</div>'."\n"; 
	    }
	    public function end_el( &$output, $comment, $depth = 0, $args = array() ) { 
			$output .= "</li><!-- #comment-## -->\n";
		}
	}
}
// hlebnii krohki
function the_breadcrumb() {
    echo __('<div id="breadcrumb"><ul><li><a href="/">Home</a></li><li>/</li>', 'ooo');
    if (is_category() || is_single()){
        $cats = get_the_category();
        $cat = $cats[0];
        echo '<li><a href="'.str_replace('/category','',get_category_link($cat->term_id)).'">'.$cat->name.'</a></li><li>/</li>';
    }

    if(is_single()){
        echo '<li>';
        the_title();
        echo '</li>';
    }

    if(is_page()){
        echo '<li>';
        the_title();
        echo '</li>';
    }

    echo '</ul><div class="clear"></div></div>';
}

function my_theme_add_editor_styles() {
	add_editor_style( 'editor-styles.css' );
}
add_action( 'current_screen', 'my_theme_add_editor_styles' );

?>